> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Event Summaries

The Event Summary object defines (temporary) charges for a single Subscription Item and related information about the Item to which these charges refer. It is used to get a list of unbilled Event Summaries according to a rate plan.

## Attributes

| Name | Type | Description |
| - | - | - |
| object | string | Value is “EventSummary” |
| account | [Account](Accounts) | The account associated with the event summary. |
| subscription | [Subscription](Subscriptions) | The subscription associated with the event. |
| subscription\_item | [Subscription Item](Subscription_Item) | The subscription item under which the event is billed. |
| product | [Product](Products) | The product under which the event is billed. |
| rate\_plan | [Rate Plan](Rate_Plans) | The rate plan associated with the event. |
| rated\_unit | [Rated Unit](Rated_Unit) | The Unit names for the associated Rate Plan. |
| current\_total\_rated\_units\_bill | decimal | The total current charge for the Billing Cycle. This is specified in the Subscription's currency. |
| rated\_unit\_total | decimal | The total number of all Rated Units included in this summary. |
| event\_count | integer | The number of `Events` included in this summary for the [Subscription Item](Subscription_Item). |
| current\_tier | string | The Rate Plan Tier to which the summary refers. (The top Tier for which an Event is recorded at the moment of the query.) |

## Supported Calls

`GET https://api.vindicia.com/event_summaries` - Retrieves a list of EventSummary objects.

## Fetch a List of Event Summaries

`GET https://api.vindicia.com/event_summaries?billed=0`

## Route (URL) Parameters

None.

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| limit | 20 | A limit on the number of objects to be returned, between 1 and 100. | No |
| starting\_after | none | A cursor for use in pagination. starting\_after is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj\_foo, your subsequent call can include starting\_after=obj\_foo in order to fetch the next page of the list. | No |
| ending\_before | none | A cursor for use in pagination. ending\_before is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj\_bar, your subsequent call can include ending\_before=obj\_bar in order to fetch the previous page of the list. | No |
| billed | none | Boolean that allows to filter list for unbilled events (0). | Yes |
| account | none | The Account **id** or **vid** by which to filter Event Summaries. | No |
| subscription | none | The Subscription **id** or **vid** to by which to filter Event Summaries. | No |
| product | none | The Product **id** or **vid** by which to filter Event Summaries. | No |
| rate\_plan | none | The Rate Plan **id** or **vid** by which to filter Event Summaries. | No |
| start | none | The starting datetime for the range of Event Summaries you wish to retrieve | No |
| end | none | The end datetime for the range of Event Summaries you wish to retrieve | No |

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to limit [Event Summaries](Events_Summary), starting after the specified starting\_after Event (or ending before the specified ending\_before Event) or as part of the start and end date range. Each entry in the array is a full Event Summary object. If no more objects are available, the resulting array will be empty. This request should never throw an error.

A *list* of [Event Summaries](Events_Summary) objects matching the query. Also:

* “total\_count”: Integer count of the number of Event Summary objects in the returned list.

* “url”: The query string provided in the request

* “next”: The route (partial URL) to the next Event object (string to select the “next”); included **id** should match that of the last object returned here

* “previous”: The route (partial URL) to the previous Event object (string to select the “previous”); included **id** should match that of the first object returned here

## Example Response

```

{
    "object": "List",
    "data": [
        {
            "object": "EventSummary",
            "account": {
                "object": "Account",
                "id": "CUST_123",
                "vid": "5cc015319c62a27fba6e4d3d709336369a121ddb"
            },
            "subscription": {
                "object": "Subscription",
                "id": "RATE_123",
                "vid": "5ff5e668f3919d540328c83b4e19f997126b6e42"
            },
            "subscription_item": {
                "object": "SubscriptionItem",
                "vid": "d1a7ac0da0bfe2f7465eb7deebf5fdddf4086162"
            },
            "product": {
                "object": "Product",
                "id": "Movies_Bulk",
                "vid": "870c2faf95eaf6dffa16a95b74823b5b2dc7921e"
            },
            "rate_plan": {
                "object": "RatePlan",
                "id": "Rate_Step_1",
                "vid": "d10c5e32ca8ba89c5be6789ab9b04d486924e334"
            },
            "current_total_rated_units_bill": 2,
            "rated_unit_total": 0,
            "rated_unit": {
                "_hint": {
                    "source": "db",
                    "load_val": {
                        "fkey": {
                            "ratable_usage_metric.merchant_id": "101436034"
                        },
                        "ratable_usage_metric": "2702:101436034:movies:movie"
                    }
                },
                "ratable_usage_metric.merchant_id": "101436034",
                "_id": "rest3-staging.int-staging.us-west.vindicia.com24822258559-MC",
                "_debug": "0",
                "_class": "RatableUsageMetric",
                "_user_at_load": "373246495",
                "ratable_usage_metric.name_singular": "movie",
                "_cacheok": "0",
                "ratable_usage_metric.id": "2702",
                "__class": "Vindicia::Obj::RatableUsageMetric",
                "_obj_storage_type": "db",
                "_saveable": "1",
                "_jit": null,
                "ratable_usage_metric.name_plural": "movies",
                "_dirty": "0",
                "_jitok": "1"
            },
            "event_count": 0
        },
        {
            "object": "EventSummary",
            "account": {
                "object": "Account",
                "id": "CUST_123",
                "vid": "5cc015319c62a27fba6e4d3d709336369a121ddb"
            },
            "subscription": {
                "object": "Subscription",
                "id": "AUTOBILL_3",
                "vid": "b1688f56d4b7f2b562261f39b48ced0ac525013c"
            },
            "subscription_item": {
                "object": "SubscriptionItem",
                "id": "Movie_1",
                "vid": "00c605a49f8c6c9297e29c86b0c4a64fa554636e"
            },
            "product": {
                "object": "Product",
                "id": "Movies_Bulk",
                "vid": "870c2faf95eaf6dffa16a95b74823b5b2dc7921e"
            },
            "rate_plan": {
                "object": "RatePlan",
                "id": "Rate_Step_1",
                "vid": "d10c5e32ca8ba89c5be6789ab9b04d486924e334"
            },
            "current_total_rated_units_bill": 2,
            "rated_unit_total": 0,
            "rated_unit": {
                "_hint": {
                    "source": "db",
                    "load_val": {
                        "fkey": {
                            "ratable_usage_metric.merchant_id": "101436034"
                        },
                        "ratable_usage_metric": "2702:101436034:movies:movie"
                    }
                },
                "ratable_usage_metric.merchant_id": "101436034",
                "_id": "rest3-staging.int-staging.us-west.vindicia.com24822258635-MC",
                "_debug": "0",
                "_class": "RatableUsageMetric",
                "_user_at_load": "373246495",
                "ratable_usage_metric.name_singular": "movie",
                "_cacheok": "0",
                "ratable_usage_metric.id": "2702",
                "__class": "Vindicia::Obj::RatableUsageMetric",
                "_obj_storage_type": "db",
                "_saveable": "1",
                "_jit": null,
                "ratable_usage_metric.name_plural": "movies",
                "_dirty": "0",
                "_jitok": "1"
            },
            "event_count": 1
        },
        {
            "object": "EventSummary",
            "account": {
                "object": "Account",
                "id": "CUST_123",
                "vid": "5cc015319c62a27fba6e4d3d709336369a121ddb"
            },
            "subscription": {
                "object": "Subscription",
                "id": "RATE_987",
                "vid": "44b7bdc0cf210d163eb6a7ad41cc8249013916ef"
            },
            "subscription_item": {
                "object": "SubscriptionItem",
                "id": "M_1",
                "vid": "632d369f97030253e2e8c850d0c233d136dac090"
            },
            "product": {
                "object": "Product",
                "id": "Music_Bulks",
                "vid": "178812dfc0cbbee58026b6220a83251b97157744"
            },
            "rate_plan": {
                "object": "RatePlan",
                "id": "RATE_2",
                "vid": "916ce9c5bd26e2c371a1a6e60e138d3555b01d57"
            },
            "current_total_rated_units_bill": 0,
            "rated_unit_total": 0,
            "rated_unit": {
                "_hint": {
                    "source": "db",
                    "load_val": {
                        "fkey": {
                            "ratable_usage_metric.merchant_id": "101436034"
                        },
                        "ratable_usage_metric": "2702:101436034:movies:movie"
                    }
                },
                "ratable_usage_metric.merchant_id": "101436034",
                "_id": "rest3-staging.int-staging.us-west.vindicia.com24822258670-MC",
                "_debug": "0",
                "_class": "RatableUsageMetric",
                "_user_at_load": "373246495",
                "ratable_usage_metric.name_singular": "movie",
                "_cacheok": "0",
                "ratable_usage_metric.id": "2702",
                "__class": "Vindicia::Obj::RatableUsageMetric",
                "_obj_storage_type": "db",
                "_saveable": "1",
                "_jit": null,
                "ratable_usage_metric.name_plural": "movies",
                "_dirty": "0",
                "_jitok": "1"
            },
            "event_count": 0
        },
        {
            "object": "EventSummary",
            "account": {
                "object": "Account",
                "id": "ACC_5",
                "vid": "811e1592ea4a610d83c716f40f53885d4a277cab"
            },
            "subscription": {
                "object": "Subscription",
                "id": "ACC_5_Subs2",
                "vid": "f605704aa6e945916686be21a47af93f16a5a122"
            },
            "subscription_item": {
                "object": "SubscriptionItem",
                "id": "sub_1234.2",
                "vid": "652d4547fc89198fe28548d9a1d85c591697ecc3"
            },
            "product": {
                "object": "Product",
                "id": "PRD_003",
                "vid": "9ef4aff403a1698ccd85e22328720a01abef4652"
            },
            "rate_plan": {
                "object": "RatePlan",
                "id": "Rate_Step_1",
                "vid": "d10c5e32ca8ba89c5be6789ab9b04d486924e334"
            },
            "current_total_rated_units_bill": 2,
            "rated_unit_total": 0,
            "rated_unit": {
                "_hint": {
                    "source": "db",
                    "load_val": {
                        "fkey": {
                            "ratable_usage_metric.merchant_id": "101436034"
                        },
                        "ratable_usage_metric": "2702:101436034:movies:movie"
                    }
                },
                "ratable_usage_metric.merchant_id": "101436034",
                "_id": "rest3-staging.int-staging.us-west.vindicia.com24822258769-MC",
                "_debug": "0",
                "_class": "RatableUsageMetric",
                "_user_at_load": "373246495",
                "ratable_usage_metric.name_singular": "movie",
                "_cacheok": "0",
                "ratable_usage_metric.id": "2702",
                "__class": "Vindicia::Obj::RatableUsageMetric",
                "_obj_storage_type": "db",
                "_saveable": "1",
                "_jit": null,
                "ratable_usage_metric.name_plural": "movies",
                "_dirty": "0",
                "_jitok": "1"
            },
            "event_count": 1
        },
        {
            "object": "EventSummary",
            "account": {
                "object": "Account",
                "id": "ACC_5",
                "vid": "811e1592ea4a610d83c716f40f53885d4a277cab"
            },
            "subscription": {
                "object": "Subscription",
                "id": "ACC_5_Subs3",
                "vid": "426b2721704b0e9e96811fa8a91fc86105d9518f"
            },
            "subscription_item": {
                "object": "SubscriptionItem",
                "id": "sub_1234.2",
                "vid": "7fdd1be818e7e203a302ac12d24dc77ecbf46508"
            },
            "product": {
                "object": "Product",
                "id": "PRD_003",
                "vid": "9ef4aff403a1698ccd85e22328720a01abef4652"
            },
            "rate_plan": {
                "object": "RatePlan",
                "id": "Rate_Step_1",
                "vid": "d10c5e32ca8ba89c5be6789ab9b04d486924e334"
            },
            "current_total_rated_units_bill": 2,
            "rated_unit_total": 0,
            "rated_unit": {
                "_hint": {
                    "source": "db",
                    "load_val": {
                        "fkey": {
                            "ratable_usage_metric.merchant_id": "101436034"
                        },
                        "ratable_usage_metric": "2702:101436034:movies:movie"
                    }
                },
                "ratable_usage_metric.merchant_id": "101436034",
                "_id": "rest3-staging.int-staging.us-west.vindicia.com24822258803-MC",
                "_debug": "0",
                "_class": "RatableUsageMetric",
                "_user_at_load": "373246495",
                "ratable_usage_metric.name_singular": "movie",
                "_cacheok": "0",
                "ratable_usage_metric.id": "2702",
                "__class": "Vindicia::Obj::RatableUsageMetric",
                "_obj_storage_type": "db",
                "_saveable": "1",
                "_jit": null,
                "ratable_usage_metric.name_plural": "movies",
                "_dirty": "0",
                "_jitok": "1"
            },
            "event_count": 2
        },
    ],
    "total_count": 5,
    "url": "/event_summaries?billed=0"
}
```

**Parent topic:**[Resources](../topics/Resources)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.